=== debian/changelog ===
zcfan (1.2.1-2) unstable; urgency=medium

  * Mark as conflicting with thinkfan (Closes: #1017980)
  * Update Standards-Version to 4.6.2
  * Don't enable by default, like thinkfan (Closes: #1032418)
  * Workaround for dh_installsystemd (Closes: #1034228)

 -- Michel Alexandre Salim <michel@michel-slm.name>  Thu, 27 Apr 2023 16:52:29 -0500

zcfan (1.2.1-1) unstable; urgency=low

  * Initial release. (Closes: #1016908)

 -- Michel Alexandre Salim <michel@michel-slm.name>  Mon, 15 Aug 2022 10:32:28 -0500
