=== debian/control ===
Source: zcfan
Section: utils
Priority: optional
Maintainer: Michel Alexandre Salim <michel@michel-slm.name>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 pandoc,
Standards-Version: 4.6.2
Homepage: https://github.com/cdown/zcfan
Vcs-Browser: https://salsa.debian.org/michel/zcfan
Vcs-Git: https://salsa.debian.org/michel/zcfan.git

Package: zcfan
Architecture: linux-amd64 linux-i386
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts: thinkfan
Description: Zero-configuration fan daemon for ThinkPads
 zcfan is a zero-configuration fan control daemon for ThinkPads.
