=== debian/changelog ===
zcfan (1.3.0-1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:43:25 +1100

zcfan (1.3.0-1) unstable; urgency=medium

  * New upstream version 1.3.0
  * Cleanup merged patch
  * Longer extended description

 -- Michel Lind <michel@michel-slm.name>  Mon, 04 Mar 2024 14:45:17 -0600
