=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: zcfan
 Section: utils
 Priority: optional
-Maintainer: Michel Alexandre Salim <michel@michel-slm.name>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Michel Alexandre Salim <michel@michel-slm.name>
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
@@ -19,3 +20,14 @@
 Conflicts: thinkfan
 Description: Zero-configuration fan daemon for ThinkPads
  zcfan is a zero-configuration fan control daemon for ThinkPads.
+ .
+ Features:
+  - Extremely small (~250 lines), simple, and easy to understand code
+  - Sensible out of the box, configuration is optional (see "usage" below)
+  - Strong focus on stopping the fan as soon as safe to do so,
+    without inducing throttling
+  - Automatic temperature- and time-based hysteresis:
+    no bouncing between fan levels
+  - Watchdog support
+  - Minimal resource usage
+  - No dependencies
