=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- prefix=/usr

override_dh_installinit:
	# we ship no initscripts

override_dh_installsystemd:
	# workaround for debhelper not supporting /usr/lib/systemd
	# https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1031695
	mv $(CURDIR)/debian/zcfan/usr/lib $(CURDIR)/debian/zcfan/
	# Do not enable by default on purpose
	# The user should only enable it after making sure the configuration is
	# appropriate for their computer
	dh_installsystemd --no-enable
	mv $(CURDIR)/debian/zcfan/lib $(CURDIR)/debian/zcfan/usr/
