=== debian/watch ===
# See uscan(1) for format.

version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%zcfan-$1.tar.gz%" \
   https://github.com/cdown/zcfan/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
