=== debian/changelog ===
zcfan (1.4.0-2) unstable; urgency=high

  * Fix binary path in systemd unit (Closes: #1104811)

 -- Michel Lind <michel@michel-slm.name>  Tue, 13 May 2025 16:53:52 -0500

zcfan (1.4.0-1) unstable; urgency=medium

  * New upstream version 1.4.0
  * Update standards version to 4.7.0
  * Update maintainer's name due to legal name change

 -- Michel Lind <michel@michel-slm.name>  Mon, 30 Dec 2024 18:00:02 -0600
