=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: zcfan
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Michel Alexandre Salim <michel@michel-slm.name>
+Maintainer: Michel Lind <michel@michel-slm.name>
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
  pandoc,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/cdown/zcfan
 Vcs-Browser: https://salsa.debian.org/michel/zcfan
 Vcs-Git: https://salsa.debian.org/michel/zcfan.git
