=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,9 @@
 
 %:
 	dh $@
+
+override_dh_auto_build:
+	dh_auto_build -- prefix=/usr
 
 override_dh_auto_install:
 	dh_auto_install -- prefix=/usr
